<%@ page contentType="text/html; encoding=utf-8" pageEncoding="utf-8" language="java" %>
<%@ taglib uri="http://struts.apache.org/tags-bean-el" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html-el" prefix="html-el" %>
<%@ taglib uri="http://struts.apache.org/tags-logic-el" prefix="logic" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<c:set var="u" value="${uzivatelForm}" />
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
"http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">    
<html-el:javascript formName="uzivatelForm"/>
<html-el:html xhtml="true" lang="true">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="Keywords" content="" />
        <meta name="Author" content="Lumír Návrat" />
        <title><bean:message key="nadpis"/></title>
    </head>
    <body style="background-color: white">
        
        <logic:notPresent name="org.apache.struts.action.MESSAGE" scope="application">
            <div style="color:red">
                ERROR:  Application resources not loaded -- check servlet container
                logs for error messages.
            </div>
        </logic:notPresent>
        
        <h3><bean:message key="nadpis.popis"/></h3>
        <p><bean:message key="tabulka.popis"/></p>
        <table border=1">
            <html-el:form action="/updateUzivatel.do" 
            onsubmit="return validateUzivatelForm(this);">
                <thead>
                    <tr>
                        <th><bean:message key="uzivatel.login" /></th>
                        <th><bean:message key="uzivatel.jmeno" /></th>
                        <th><bean:message key="uzivatel.prijmeni" /></th>
                        <th><bean:message key="uzivatel.role" /></th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td><html-el:text name="u" property="login" /></td>
                        <td><html-el:text name="u" property="jmeno" /></td>
                        <td><html-el:text name="u" property="prijmeni" /></td>
                        <td><html-el:text name="u" property="role" /></td>                
                    </tr>
                    <tr>
                        <td colspan="4"><html-el:submit value="Odeslat"/></td>  
                    </tr>
                </tbody>
            </html-el:form>
        </table>
        <div style="color:red">
            <html-el:errors />
        </div>
    </body>
</html-el:html>
