<%@ page contentType="text/html; encoding=utf-8" pageEncoding="utf-8" language="java" %>
<%@ taglib uri="http://struts.apache.org/tags-bean-el" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html-el" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic-el" prefix="logic" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<c:set var="form" value="${seznamUzivateluForm}" />
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
    "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
    <html:html xhtml="true" lang="true">
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="Keywords" content="" />
        <meta name="Author" content="Lumír Návrat" />
        <title><bean:message key="nadpis"/> <%--<fmt:message key="nadpis" /> --%></title>
      </head>
      <body bgcolor="white">        
        <logic:notPresent name="org.apache.struts.action.MESSAGE" scope="application">
          <font color="red">
            ERROR:  Application resources not loaded -- check servlet container
            logs for error messages.
          </font>
        </logic:notPresent>
        
        <h3><bean:message key="nadpis.popis"/></h3>
        <p><bean:message key="tabulka.popis"/></p>
        <table border=1">
          <thead>
            <tr>
              <th></th>
              <th><bean:message key="uzivatel.login" /></th>
              <th><bean:message key="uzivatel.jmeno" /></th>
              <th><bean:message key="uzivatel.prijmeni" /></th>
              <th><bean:message key="uzivatel.role" /></th>
              <th>&nbsp;</th>
            </tr>
          </thead>
          <tbody>
            <c:forEach var="u" varStatus="st" items="${form.uzivatele}">            
              <tr>
                <c:url var="url" value="/uzivatel.do" >
                  <c:param name="login" value="${u.login}"/>                      
                </c:url>
                <td><a href="${url}">${st.count}</a></td>
                <td>${u.login}</td>
                <td>${u.jmeno}</td>
                <td>${u.prijmeni}</td>
                <td>${u.role}</td>
                <c:url var="urlEdit" value="/uzivatel.do" >
                  <c:param name="login" value="${u.login}"/>                      
                  <c:param name="mode" value="edit"/> 
                </c:url>                
                <td><a href="${urlEdit}"><bean:message key="uzivatel.zmenit" /></a></td>
              </tr>
            </c:forEach>
          </tbody>
        </table>
        <c:url var="newUzivatel" value="/uzivatel.do">
            <c:param name="mode" value="edit" />
        </c:url>    
        <a href="${newUzivatel}"><bean:message key="uzivatel.vlozit" /></a>
        <div style="color:#FF0000;"><html:errors /></div>        
      </body>
    </html:html>
